

<!-- preview_nav_menu -->

{% if viewer_role is not defined %}
  {% set viewer_role = "guest" %}
{% endif %}

{% if viewer_role != "admin" %}
{% set form_can_expire = form.can_expire() %}

<nav class="navbar-expand-lg ds-accions-look-and-feel">
  <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#preview-navigation" aria-controls="previewNav" aria-expanded="false" aria-label="Preview page navigation">
    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-menu"><line x1="3" y1="12" x2="21" y2="12"></line><line x1="3" y1="6" x2="21" y2="6"></line><line x1="3" y1="18" x2="21" y2="18"></line></svg>
  </button>
  <div class="navbar-collapse collapse mt-1 gap-2" id="preview-navigation">
    {% if not (expired_form_preview and not form_can_expire) %}
    <button class="btn btn-outline-primary btn-sm" type="button" onClick="location.href='{{url_for('form_bp.preview', form_id=form.id)}}'">{{ _("Form") }}</button>
    <button class="btn btn-outline-primary btn-sm" type="button" onClick="location.href='{{url_for('form_bp.preview_thankyou', form_id=form.id)}}'">{{ _("Thanks") }}</button>
      {% if form_can_expire %}
      <button class="btn btn-outline-primary btn-sm" type="button" onClick="location.href='{{url_for('form_bp.preview_expired', form_id=form.id)}}'">{{ _("Expired") }}</button>
      {% endif %}
    {% endif %}
  </div>
</nav>

{% endif %}
{% if viewer_role == "admin" %}

<nav class="navbar-expand-lg ds-accions-look-and-feel">
  <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#preview-navigation" aria-controls="previewNav" aria-expanded="false" aria-label="Preview page navigation">
    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-menu"><line x1="3" y1="12" x2="21" y2="12"></line><line x1="3" y1="6" x2="21" y2="6"></line><line x1="3" y1="18" x2="21" y2="18"></line></svg>
  </button>
  <div class="navbar-collapse collapse mt-1 gap-2" id="preview-navigation">
    <button class="btn btn-outline-primary btn-sm" type="button" onClick="location.href='{{url_for('admin_bp.preview_form', form_id=form.id)}}'">{{ _("Form") }}</button>
    <button class="btn btn-outline-primary btn-sm" type="button" onClick="location.href='{{url_for('admin_bp.preview_thankyou', form_id=form.id)}}'">{{ _("Thank you") }}</button>
    <button class="btn btn-outline-primary btn-sm" type="button" onClick="location.href='{{url_for('admin_bp.preview_expired', form_id=form.id)}}'">{{ _("Expired") }}</button>
  </div>
</nav>

{% endif %}
